A search response

validatable

### Hierarchy

- SCSearchResult
  - SCSearchResponse

## Index

### Properties

- data
- facets
- pagination
- stats

## Properties

### data

data: SCThings[]

Inherited from SCSearchResult.data

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1345

Data (any data object)

### facets

facets: SCFacet[]

Inherited from SCSearchResult.facets

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1349

Facets (aggregations over all matching data)

### pagination

pagination: SCSearchResponsePagination

Inherited from SCSearchResult.pagination

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1353

Pagination information

### stats

stats: SCSearchResponseSearchEngineStats

Inherited from SCSearchResult.stats

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1357

Stats of the search engine

Generated using TypeDoc